Saltar al contenido principal
POST
/
api
/
v1
/
authorization
/
llm
/
revoke
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    sdk.permissions.llm.revoke(resource_type="completion", resource_id="my-completion-123", user_id="user-abc456", role="reader")

    # Use the SDK ...

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Cuerpo

application/json
resourceType
enum<string>
requerido

Tipo de recurso LLM

Opciones disponibles:
completion,
file,
vector_store,
conversation,
response,
skill
resourceId
string
requerido

Identificador único para el recurso

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$
userId
string
requerido

Identificador único para el usuario, o "*" para otorgar/revocar acceso público.

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$
role
enum<string>
requerido

Rol de permiso para el recurso (propietario > escritor > lector)

Opciones disponibles:
owner,
writer,
reader

Respuesta

Permiso revocado con éxito